Page MenuHomePhabricator

[clang-format/ObjC] Improve split priorities for ObjC methods
ClosedPublic

Authored by jolesiak on Jun 28 2018, 6:16 AM.

Details

Summary

Reduce penalty for aligning ObjC method arguments using the colon alignment as this is the canonical way.

Trying to fit a whole expression into one line should not force other line breaks (e.g. when ObjC method expression is a part of other expression).

Diff Detail

Event Timeline

jolesiak created this revision.Jun 28 2018, 6:16 AM
jolesiak edited the summary of this revision. (Show Details)Jun 28 2018, 6:30 AM
jolesiak added reviewers: benhamilton, klimek.
jolesiak edited the summary of this revision. (Show Details)
jolesiak updated this revision to Diff 153312.Jun 28 2018, 6:36 AM

Fix comment.

jolesiak updated this revision to Diff 153313.Jun 28 2018, 6:40 AM

Fix base change.

benhamilton accepted this revision.Jun 29 2018, 12:29 PM

Nice improvement!

This revision is now accepted and ready to land.Jun 29 2018, 12:29 PM
jolesiak retitled this revision from [clang-format] Fix split priorities for ObjC methods to [clang-format/ObjC] Improve split priorities for ObjC methods.Jul 3 2018, 12:02 AM
jolesiak closed this revision.Jul 10 2018, 10:45 PM

This change was submitted (for some reason (probably some rebase operations) it was not automatically connected to the commit):
rC336520, rL336520